<script>
  import { getContext } from 'svelte';
  import EditForm from './EditForm.svelte';

  const { open } = getContext('simple-modal');

  export let book;

  const showForm = () => {
    open(EditForm, { book: book });
  };
</script>

<button on:click={showForm} class="mdc-button mdc-card__action mdc-card__action--button">  <span class="mdc-button__ripple"></span>Edit</button>

<style lang="scss">
@import "@material/button/mdc-button";
</style>